hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Raw.H5C

# Documentation

newtype H5C_cache_incr_mode Source #

Constructors

H5C_cache_incr_mode Word32 |

#### Instances

Instances details

Storable H5C_cache_incr_mode Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5C

Methods

sizeOf :: H5C_cache_incr_mode -> Int Source #

alignment :: H5C_cache_incr_mode -> Int Source #

peekElemOff :: Ptr H5C_cache_incr_mode -> Int -> IO H5C_cache_incr_mode Source #

pokeElemOff :: Ptr H5C_cache_incr_mode -> Int -> H5C_cache_incr_mode -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5C_cache_incr_mode Source #

pokeByteOff :: Ptr b -> Int -> H5C_cache_incr_mode -> IO () Source #

peek :: Ptr H5C_cache_incr_mode -> IO H5C_cache_incr_mode Source #

poke :: Ptr H5C_cache_incr_mode -> H5C_cache_incr_mode -> IO () Source #

Show H5C_cache_incr_mode Source # |
Instance details Defined in Bindings.HDF5.Raw.H5C Methods showsPrec :: Int -> H5C_cache_incr_mode -> ShowS Source # show :: H5C_cache_incr_mode -> String Source # showList :: [H5C_cache_incr_mode] -> ShowS Source #
Eq H5C_cache_incr_mode Source # |
Instance details Defined in Bindings.HDF5.Raw.H5C Methods (==) :: H5C_cache_incr_mode -> H5C_cache_incr_mode -> Bool Source # (/=) :: H5C_cache_incr_mode -> H5C_cache_incr_mode -> Bool Source #

h5c_incr__off :: H5C_cache_incr_mode Source #

h5c_incr__threshold :: H5C_cache_incr_mode Source #

newtype H5C_cache_flash_incr_mode Source #

Constructors

H5C_cache_flash_incr_mode Word32 |

#### Instances

Instances details

Storable H5C_cache_flash_incr_mode Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5C

Methods

sizeOf :: H5C_cache_flash_incr_mode -> Int Source #

alignment :: H5C_cache_flash_incr_mode -> Int Source #

peekElemOff :: Ptr H5C_cache_flash_incr_mode -> Int -> IO H5C_cache_flash_incr_mode Source #

pokeElemOff :: Ptr H5C_cache_flash_incr_mode -> Int -> H5C_cache_flash_incr_mode -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5C_cache_flash_incr_mode Source #

pokeByteOff :: Ptr b -> Int -> H5C_cache_flash_incr_mode -> IO () Source #

peek :: Ptr H5C_cache_flash_incr_mode -> IO H5C_cache_flash_incr_mode Source #

poke :: Ptr H5C_cache_flash_incr_mode -> H5C_cache_flash_incr_mode -> IO () Source #

Show H5C_cache_flash_incr_mode Source # |
Instance details Defined in Bindings.HDF5.Raw.H5C Methods showsPrec :: Int -> H5C_cache_flash_incr_mode -> ShowS Source # show :: H5C_cache_flash_incr_mode -> String Source # showList :: [H5C_cache_flash_incr_mode] -> ShowS Source #
Eq H5C_cache_flash_incr_mode Source # |
Instance details Defined in Bindings.HDF5.Raw.H5C Methods (==) :: H5C_cache_flash_incr_mode -> H5C_cache_flash_incr_mode -> Bool Source # (/=) :: H5C_cache_flash_incr_mode -> H5C_cache_flash_incr_mode -> Bool Source #

h5c_flash_incr__off :: H5C_cache_flash_incr_mode Source #

h5c_flash_incr__add_space :: H5C_cache_flash_incr_mode Source #

newtype H5C_cache_decr_mode Source #

Constructors

H5C_cache_decr_mode Word32 |

#### Instances

Instances details

Storable H5C_cache_decr_mode Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5C

Methods

sizeOf :: H5C_cache_decr_mode -> Int Source #

alignment :: H5C_cache_decr_mode -> Int Source #

peekElemOff :: Ptr H5C_cache_decr_mode -> Int -> IO H5C_cache_decr_mode Source #

pokeElemOff :: Ptr H5C_cache_decr_mode -> Int -> H5C_cache_decr_mode -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5C_cache_decr_mode Source #

pokeByteOff :: Ptr b -> Int -> H5C_cache_decr_mode -> IO () Source #

peek :: Ptr H5C_cache_decr_mode -> IO H5C_cache_decr_mode Source #

poke :: Ptr H5C_cache_decr_mode -> H5C_cache_decr_mode -> IO () Source #

Show H5C_cache_decr_mode Source # |
Instance details Defined in Bindings.HDF5.Raw.H5C Methods showsPrec :: Int -> H5C_cache_decr_mode -> ShowS Source # show :: H5C_cache_decr_mode -> String Source # showList :: [H5C_cache_decr_mode] -> ShowS Source #
Eq H5C_cache_decr_mode Source # |
Instance details Defined in Bindings.HDF5.Raw.H5C Methods (==) :: H5C_cache_decr_mode -> H5C_cache_decr_mode -> Bool Source # (/=) :: H5C_cache_decr_mode -> H5C_cache_decr_mode -> Bool Source #

h5c_decr__off :: H5C_cache_decr_mode Source #

h5c_decr__threshold :: H5C_cache_decr_mode Source #

h5c_decr__age_out :: H5C_cache_decr_mode Source #

h5c_decr__age_out_with_threshold :: H5C_cache_decr_mode Source #